# TSSundialsGetPC

Extract the PC context from a time-step context for Sundials.

### Synopsis

    #include "petscts.h"
    PetscErrorCode PETSCTS_DLLEXPORT TSSundialsGetPC(TS ts,PC *pc)

### Input Parameter

ts -the time-step context

### Output Parameter

pc -the preconditioner context

### See Also

TSSundialsGetIterations(), TSSundialsSetType(), TSSundialsSetGMRESRestart(),
TSSundialsSetLinearTolerance(), TSSundialsSetGramSchmidtType(), TSSundialsSetTolerance(), TSSundialsGetIterations(), TSSundialsSetType(), TSSundialsSetGMRESRestart(), TSSundialsSetLinearTolerance(), TSSundialsSetTolerance()

Level:advanced
Location: src/ts/impls/implicit/sundials/sundials.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages